import { Injectable } from '@angular/core';
import { ToasterService } from 'angular2-toaster';

@Injectable()
export class MessageService {
  constructor(private toasterService: ToasterService) { }

  displayMessage(body: string, title?: string, type: 'success'|'error'|'info'|'wait'|'warning' = 'success') {
    this.toasterService.pop(type, title, body);
  }
}
