import { Component, OnInit } from '@angular/core';
import { BsModalRef } from 'ngx-bootstrap/modal/modal-options.class';

@Component({
  selector: 'app-server-error',
  templateUrl: './server-error.component.html',
  styleUrls: ['./server-error.component.css']
})
export class ServerErrorComponent implements OnInit {
  title: string = 'Unexpected Server Error';
  error: any;

  constructor(
    private modalRef: BsModalRef) { }

  ngOnInit() {
  }

  close() {
    this.modalRef.hide();
  }
}
